diagrams-cairo-1.5: Cairo backend for diagrams drawing EDSL

Copyright | (c) 2012 Diagrams-cairo team (see LICENSE)
License | BSD-style (see LICENSE)
Maintainer | diagrams-discuss@googlegroups.com
Safe Haskell | None
Language | Haskell2010

Diagrams.Backend.Cairo.List

Description

Render a diagram directly to a list of lists of Colour values (i.e. pixels).

Synopsis

- renderToList :: (Ord a, Floating a) => Int -> Int -> QDiagram Cairo V2 Double Any -> IO [[AlphaColour a]]

# Documentation

renderToList :: (Ord a, Floating a) => Int -> Int -> QDiagram Cairo V2 Double Any -> IO [[AlphaColour a]] Source #

Render to a regular list of Colour values.